Bug 7299 - NPE generated when using RT version of import tag and passing a null value for the url attribute.
Summary: NPE generated when using RT version of import tag and passing a null value fo...
Status: CLOSED FIXED
Alias: None
Product: Taglibs
Classification: Unclassified
Component: Standard Taglib (show other bugs)
Version: unspecified
Hardware: All All
: P3 major (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-03-20 20:15 UTC by Ryan Lubke
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Lubke 2002-03-20 20:15:28 UTC
Given:

<c-rt:import url='<%= null %>'/>

Generates the following:
java.lang.NullPointerException
	at o.a.t.s.tag.common.core.ImportSupport.isAbsoluteUrl(ImportSupport.java:481)
	at o.a.t.s.tag.common.core.ImportSupport.isAbsoluteUrl(ImportSupport.java:467)
	at o.a.t.s.tag.common.core.ImportSupport.doStartTag(ImportSupport.java:150)
	at o.a.jsp.negativeUrlNullTest$jsp._jspService(negativeUrlNullTest$jsp.java:167)


Section 7.4, page 7-59 of the PD Spec:

"If url is null or empty, a JspTagException is thrown."

This works fine with the EL version if the import tag.
Comment 1 Shawn Bayern 2002-03-30 19:50:56 UTC
Fixed.